scan_xshort(3)

NAME
scan_xshort - parse an unsigned short integer in hexadecimal ASCII representation

SYNTAX
#include <scan.h> int scan_xshort(const char *src,unsigned short *dest);

DESCRIPTION
scan_xshort parses an unsigned short integer in hexadecimal ASCII representation from src and writes the result into dest. It returns the number of bytes read from src. scan_xshort understands both upper and lower case letters. scan_xshort does not expect or understand a "0x" prefix.

SEE ALSO
fmt_xshort(3)